Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Debian Local Security Checks >> [DSA927] DSA-927-2 tkdiff


Vulnerability Assessment Details

[DSA927] DSA-927-2 tkdiff

Vulnerability Assessment Summary
DSA-927-2 tkdiff

Detailed Explanation for this Vulnerability Assessment

The last update of tkdiff contained a programming error which is
fixed by this version.  For completeness we're adding the original
advisory text:
Javier Fernández-Sanguino Peña from the Debian Security Audit project
discovered that tkdiff, a graphical side by side "diff" utility,
creates temporary files in an insecure fashion.
For the old stable distribution (woody) this problem has been fixed in
version 3.08-3woody1.
For the stable distribution (sarge) this problem has been fixed in
version 4.0.2-1sarge1.
For the unstable distribution (sid) this problem has been fixed in
version 4.0.2-4.
We recommend that you upgrade your tkdiff package.


Solution : http://www.debian.org/security/2005/dsa-927
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is (C) 2007 Michel Arboi

Cables, Connectors

Authentic Apple Vintage Think Different Manifesto T-Shirt Heavy Cotton Size XXL
$25.0
Authentic Apple Vintage Think Different Manifesto T-Shirt Heavy Cotton Size XXL pictureAuthentic Apple Vintage Think Different Manifesto T-Shirt Heavy Cotton Size XL
$25.0
Authentic Apple Vintage Think Different Manifesto T-Shirt Heavy Cotton Size XL pictureVintage Apple IIc Computer With Monitor
$150.0
Vintage Apple IIc Computer With Monitor  pictureAPPLE COMPUTER VINTAGE "RAINBOW" LOGO LAPEL PIN IIe
$60.0
APPLE COMPUTER VINTAGE


Discussions

No Discussions have been posted on this vulnerability.